unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeEngine, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series, TeeConst;

procedure TForm1.FormCreate(Sender: TObject);
var i: integer;
    SeriesArray: array[0..5] of TChartSeries;
begin
  Caption:=TeeMsg_Version;

  Form1.Width := 800;
  Form1.Height := 400;
  Chart1.Legend.CheckBoxes := true;
  Chart1.Legend.Alignment:=laBottom;
  for i := 0 to High(SeriesArray) do
  begin
    SeriesArray[i] := TLineSeries.Create(Chart1);
    SeriesArray[i].FillSampleValues(100);
  end;
  Chart1.AddSeries(SeriesArray);
  for i := 0 to 5 do
    Chart1.Series[i].Title := 'this is long series title '+IntToStr(i);
end;

end.
